org.encog.ml.prg.extension

## Enum NodeType

- java.lang.Object
- - java.lang.Enum<NodeType>
  - - org.encog.ml.prg.extension.NodeType

- All Implemented Interfaces:
    Serializable, Comparable<NodeType>

      public enum NodeType
      extends Enum<NodeType>

  The node type. This mostly determines how opcodes are parsed and rendered. Node types do not generally affect execution.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Function` A function.
    `Leaf` A leaf, or terminal node.
    `None` Unknown.
    `OperatorLeft` A left associated operator.
    `OperatorRight` A right associated operator.
    `Unary` An unary operator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isOperator()`
    `static NodeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OperatorLeft

          public static final NodeType OperatorLeft

      A left associated operator. Operators are actually functions, however, setting to this type does affect how the opcode is rendered. http://en.wikipedia.org/wiki/Operator_associativity

    - #### OperatorRight

          public static final NodeType OperatorRight

      A right associated operator. Operators are actually functions, however, setting to this type does affect how the opcode is rendered. http://en.wikipedia.org/wiki/Operator_associativity

    - #### Leaf

          public static final NodeType Leaf

      A leaf, or terminal node. No children.

    - #### Function

          public static final NodeType Function

      A function.

    - #### Unary

          public static final NodeType Unary

      An unary operator.

    - #### None

          public static final NodeType None

      Unknown.

  - ### Method Detail

    - #### values

          public static NodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeType c : NodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isOperator

          public boolean isOperator()

      Returns:
        True, if this is an operator.

Copyright © 2014. All Rights Reserved.